--[[	LevelZone.lua is part of PlayerZone AddOn (Ver: 2.1009.322b).
	This was programmed by Yulemath
	Mail me at yulemath@hotmail.fr for questions
	This programm is free, you can modify it if you want
	Have fun ;)
	
--]]

function LevelContinentInfo()

CONTINENT_TABLE = {

		[1]				= {
						["Nom"] = "Kalimbdor",
						},
		[2]				= {
						["Nom"] = "Rouyaumes de l'Est",
						},
		[3]				= {
						["Nom"] = "Outreterre",
						},
		[4]				= {
						["Nom"] = "Norfendre",
						},
					}
end

function Level_Compar()

local playerLevel = UnitLevel("player");
local maxLevelZone = ZONE_TABLE[z].max;
local minLevelZone = ZONE_TABLE[z].low;
local levelNull = maxLevelZone + 4;
local levelVeryHard = minLevelZone - 4;
local levelHard = minLevelZone;
local levelLow = maxLevelZone;

if ( ZONE_TABLE[z].text == "Capitale" ) then
LevelZone_Frame_Text1:SetTextColor(0, 0, 1);
elseif ( playerLevel <= levelVeryHard ) then
LevelZone_Frame_Text1:SetTextColor(1, 0, 0);
elseif ( playerLevel >= levelNull ) then
LevelZone_Frame_Text1:SetTextColor(0.5, 0.5, 0.5);
elseif ( playerLevel >= levelLow and playerLevel < levelNull ) then
LevelZone_Frame_Text1:SetTextColor(0, 1, 0.2);
elseif ( playerLevel > levelHard and playerLevel < levelLow ) then
LevelZone_Frame_Text1:SetTextColor(1, 1, 0.2);
elseif ( playerLevel > levelVeryHard and playerLevel <= levelHard ) then
LevelZone_Frame_Text1:SetTextColor(1, 0.2, 0.2);
end
end
	
function Toggle_Text()
CheckZone();
LevelContinentInfo();
	local levelZone = ZONE_TABLE[z].text;
	LevelZone_Frame_Text1:SetText(levelZone);
	Level_Compar();
end

function CheckZone()

z = GetCurrentMapZone();

end


function CheckWhere()
SetMapToCurrentZone();
local continent = GetCurrentMapContinent();

if ( continent == 1 ) then
Kalimdor();
elseif ( continent == 2 ) then
EasternKingdom();
elseif ( continent == 3 ) then
Outland();
elseif ( continent == 4 ) then
Northrend();
end

end

function Kalimdor()

ZONE_TABLE = {
				[0]			= {
								["Name"] = "Recherche ...",
								["text"] = "[ - ]",
								["low"] = 0,
								["max"] = 0,
								},
				[20]			= {
								["Name"] = "Reflet de Lune",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[2]			= {
								["Name"] = "Berceau de l'Hiver",
								["text"] = "[ 55 - 65 ]",
								["low"] = 55,
								["max"] = 65,
								},
				[22]			= {
								["Name"] = "Sombrivage",
								["text"] = "[ 10 - 20 ]",
								["low"] = 10,
								["max"] = 20,
								},
				[8]			= {
								["Name"] = "Gangrebois",
								["text"] = "[ 45 - 55 ]",
								["low"] = 45,
								["max"] = 55,
								},
				[19]			= {	
								["Name"] = "Orneval",
								["text"] = "[ 20 - 30 ]",
								["low"] = 20,
								["max"] = 30,
								},
				[1]			= {
								["Name"] = "Azshara",
								["text"] = "[ 45 - 55 ]",
								["low"] = 45,
								["max"] = 55,
								},
				[6]			= {
								["Name"] = "Durotar",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[14]			= {
								["Name"] = "Les Tarides",
								["text"] = "[ 10 - 25 ]",
								["low"] = 10,
								["max"] = 25,
								},
				[17]			= {
								["Name"] = "Mulgore",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[5]			= {
								["Name"] = "Désolace",
								["text"] = "[ 30 - 40 ]",
								["low"] = 30,
								["max"] = 40,
								},
				[7]			= {
								["Name"] = "Féralas",
								["text"] = "[ 40 - 55 ]",
								["low"] = 40,
								["max"] = 55,
								},
				[15]			= {
								["Name"] = "Marécages d'Âprefange",
								["text"] = "[ 30 - 40 ]",
								["low"] = 30,
								["max"] = 40,
								},
				[16]			= {
								["Name"] = "Milles Pointes",
								["text"] = "[ 25 - 35 ]",
								["low"] = 25,
								["max"] = 35,
								},
				[23]			= {
								["Name"] = "Tanaris",
								["text"] = "[ 40 - 50 ]",
								["low"] = 40,
								["max"] = 50,
								},
				[21]			= {
								["Name"] = "Silithus",
								["text"] = "[ 55 - 60 ]",
								["low"] = 55,
								["max"] = 60,
								},
				[3]			= {
								["Name"] = "Cratère d'Un'Goro",
								["text"] = "[ 45 - 55 ]",
								["low"] = 45,
								["max"] = 55,
								},
				[24]			= {
								["Name"] = "Teldrassil",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[9]			= {
								["Name"] = "Île de Brume-Azur",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[10]			= {
								["Name"] = "Île de Brume-Sang",
								["text"] = "[ 10 - 20 ]",
								["low"] = 10,
								["max"] = 20,
								},
				[13]				= {
								["Name"] = "Serres Rocheuses",
								["text"] = "[ 15 - 25 ]",
								["low"] = 15,
								["max"] = 25,
								},
				[18]				= {
								["Name"] = "Orgrimmar",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				[11]				= {
								["Name"] = "Exodar",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				[4]				= {
								["Name"] = "Darnassus",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				[12]				= {
								["Name"] = "Pitons du Tonnerre",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				}
Toggle_Text();

end

function EasternKingdom()

	ZONE_TABLE = {
				[0]			= {
								["Name"] = "Recherche ...",
								["text"] = "[ - ]",
								["low"] = 0,
								["max"] = 0,
								},
				[120]			= {
								["Name"] = "Île de Quel'Danas",
								["text"] = "[ ? - ? ]",
								["low"] = 0,
								["max"] = 0,
								},
				[2]			= {
								["Name"] = "Bois des Chants Eternels",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[18]			= {
								["Name"] = "Les Terres Fantômes",
								["text"] = "[ 10 - 20 ]",
								["low"] = 10,
								["max"] = 20,
								},
				[21]			= {
								["Name"] = "Les Malterres de l'Est",
								["text"] = "[ 55 - 60 ]",
								["low"] = 55,
								["max"] = 60,
								},
				[22]			= {
								["Name"] = "Les Malterres de l'Ouest",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[3]			= {
								["Name"] = "Clairières de Tirisfal",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[8]			= {
								["Name"] = "Forêt des Pins Argentés",
								["text"] = "[ 10 - 20 ]",
								["low"] = 10,
								["max"] = 20,
								},
				[25]			= {
								["Name"] = "Montagnes d'Alterac",
								["text"] = "[ 25 - 40 ]",
								["low"] = 25,
								["max"] = 40,
								},
				[4]			= {
								["Name"] = "Contreforts de Hautebrande",
								["text"] = "[ 20 - 30 ]",
								["low"] = 20,
								["max"] = 30,
								},
				[16]			= {
								["Name"] = "Les Hinterlands",
								["text"] = "[ 40 - 50 ]",
								["low"] = 40,
								["max"] = 50,
								},
				[12]			= {
								["Name"] = "Les Hautes Terres d'Arathi",
								["text"] = "[ 30 - 40 ]",
								["low"] = 30,
								["max"] = 40,
								},
				[17]			= {
								["Name"] = "Les Paluns",
								["text"] = "[ 20 - 30 ]",
								["low"] = 20,
								["max"] = 30,
								},
				[19]			= {
								["Name"] = "Loch Modan",
								["text"] = "[ 10 - 20 ]",
								["low"] = 10,
								["max"] = 20,
								},
				[6]			= {
								["Name"] = "Dun Morogh",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[11]			= {
								["Name"] = "Gorge des Vents Brûlants",
								["text"] = "[ 42 - 50 ]",
								["low"] = 42,
								["max"] = 50,
								},
				[28]			= {
								["Name"] = "Terres Ingrates",
								["text"] = "[ 35 - 45 ]",
								["low"] = 35,
								["max"] = 45,
								},
				[15]			= {
								["Name"] = "Les Carmines",
								["text"] = "[ 15 - 25 ]",
								["low"] = 15,
								["max"] = 25,
								},
				[7]			= {
								["Name"] = "Forêt d'Elwynn",
								["text"] = "[ 1 - 10 ]",
								["low"] = 1,
								["max"] = 10,
								},
				[1]			= {
								["Name"] = "Bois de la Pénombre",
								["text"] = "[ 20 - 30 ]",
								["low"] = 20,
								["max"] = 30,
								},
				[24]			= {
								["Name"] = "Marche de l'Ouest",
								["text"] = "[ 10 - 20 ]",
								["low"] = 10,
								["max"] = 20,
								},
				[23]			= {
								["Name"] = "Marais des Chagrins",
								["text"] = "[ 35 - 45 ]",
								["low"] = 35,
								["max"] = 45,
								},
				[5]			= {
								["Name"] = "Défilé de Deuillevent",
								["text"] = "[ ? - ? ]",
								["low"] = 0,
								["max"] = 0,
								},
				[27]			= {
								["Name"] = "Terres Foudroyées",
								["text"] = "[ 45 - 55 ]",
								["low"] = 45,
								["max"] = 55,
								},
				[29]			= {
								["Name"] = "Vallée de Strangleronce",
								["text"] = "[ 30 - 45 ]",
								["low"] = 30,
								["max"] = 45,
								},
				[26]			= {
								["Name"] = "Steppes Ardentes",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[20]			= {
								["Name"] = "Lune d'Argent",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				[10]			= {
								["Name"] = "Fossoyeuse",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				[13]			= {
								["Name"] = "Hurlevent",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				[9]			= {
								["Name"] = "Forgefer",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				}

Toggle_Text();
end

function Outland()

ZONE_TABLE = {	
				[0]			= {
								["Name"] = "Recherche ...",
								["text"] = "[ - ]",
								["low"] = 0,
								["max"] = 0,
								},
				[6]			= {
								["Name"] = "Raz-de-Néant",
								["text"] = "[ 65 - 70 ]",
								["low"] = 65,
								["max"] = 70,
								},
				[2]			= {
								["Name"] = "Les Tranchantes",
								["text"] = "[ 65 - 70 ]",
								["low"] = 65,
								["max"] = 70,
								},
				[3]			= {
								["Name"] = "Les Marécages de Zangar",
								["text"] = "[ 60 - 65 ]",
								["low"] = 60,
								["max"] = 65,
								},
				[4]			= {
								["Name"] = "Nagrand",
								["text"] = "[ 65 - 70 ]",
								["low"] = 65,
								["max"] = 70,
								},
				[5]			= {
								["Name"] = "Péninsule des Flammes Infernales",
								["text"] = "[ 60 - 70 ]",
								["low"] = 60,
								["max"] = 70,
								},
				[1]			= {
								["Name"] = "Forêt de Terokkar",
								["text"] = "[ 60 - 65 ]",
								["low"] = 60,
								["max"] = 65,
								},
				[8]			= {
								["Name"] = "Vallée d'Ombrelune",
								["text"] = "[ 65 - 70 ]",
								["low"] = 65,
								["max"] = 70,
								},
				[7]			= {
								["Name"] = "Shattrath",
								["text"] = "Capitale",
								["low"] = 0,
								["max"] = 0,
								},
				}

Toggle_Text();
end

function Northrend()

ZONE_TABLE = {
				[0]			= {
								["Name"] = "Recherche ...",
								["text"] = "[ - ]",
								["low"] = 0,
								["max"] = 0,
								},		
				[10]			= {
								["Name"] = "Toundra Boréenne",
								["text"] = "[ 68 - 72 ]",
								["low"] = 68,
								["max"] = 72,
								},
				[1]			= {
								["Name"] = "Bassin de Sholazar",
								["text"] = "[ 75 - 78 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[6]			= {
								["Name"] = "Joug d'Hiver",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[7]			= {
								["Name"] = "La Courronne de Glace",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[3]			= {
								["Name"] = "Désolation des Dragons",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[5]			= {
								["Name"] = "Forêt du Chant de Cristal",
								["text"] = "[ 74 - 76 ]",
								["low"] = 74,
								["max"] = 76,
								},
				[9]			= {
								["Name"] = "Les Pics Foudroyés",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[11]			= {
								["Name"] = "Zul'Drak",
								["text"] = "[ 74 - 77 ]",
								["low"] = 74,
								["max"] = 77,
								},
				[8]			= {
								["Name"] = "Les Grisonnes",
								["text"] = "[ 50 - 60 ]",
								["low"] = 50,
								["max"] = 60,
								},
				[4]			= {
								["Name"] = "Fjord Hurlant",
								["text"] = "[ 68 - 72 ]",
								["low"] = 68,
								["max"] = 72,
								},
				
				}
				
Toggle_Text();
end

function LevelZone_OnEnter(self)
if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:SetText(PLAYERZONE_LZTOOLTIP_TITLE);
		GameTooltip:AddLine(PLAYERZONE_LZTOOLTIP_SUBTITLE);
		if ( PlayerZone_Options.lockLZ ) then
		GameTooltip:AddLine(PLAYERZONE_TOOLTIP_LOCKED);
	else
		GameTooltip:AddLine(PLAYERZONE_TOOLTIP_LEFTCLICK);
	end	
		GameTooltip:AddLine(PLAYERZONE_TOOLTIP_RIGHTCLICK);
		GameTooltipTextLeft1:SetTextColor(1, 1, 1);
		GameTooltipTextLeft2:SetTextColor(1, 0.8, 0);
		GameTooltip:Show();
		end
end